Legend on Recent changes is misaligned and overlaying results on some wikis
Closed, ResolvedPublic

Description

With the filters

Group results by page
If the results are grouped, the legend div overlays the list of result.

Results are not grouped by page
That's not the case when the changes are not grouped.

Without the filters

The alignement is not related to grouped changes by pages.

Misalignement on some wikis
German Wikipedia has a misaligned legend that overlays the other options.


Same thing on French Wikipedia, that have a customization on the local CSS file.

Correct alignement on other wikis
Catalan Wikipedia is correct: legend is inside of the fieldset and is not overlaying.


That's the same on English Wiktionary, Mediawiki.org, Hebrew Wikipedia.

Note

I haven't seen how much local customisations are impacting the legend.

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 4 2018, 8:44 AM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJan 4 2018, 8:44 AM

The issue seems to me as a possible regression of T174728: "Legend" retains some space if "Group results by change" is enabled - I will look into it.

German Wikipedia has a misaligned legend that overlays the other options.

There was the same issue in enwiki at some point. From the sceenshots I see that two variants of the Legend are present - one is with the links (and underscores) and another without links. I'll need to look into it too.

Those two issues in the task are closely related to
(1) overlaying results with 'Grouped by page' option

(2) misalagned/overflowing Legend

I checked in Chrome and FF, full-screen, and also, as in the screenshot for German Wikipedia, I changed the UI language to English to see if it may push the Legend to overflow - did not see the issue. Additionally, I checked the Watchlist - no issue there either.

Trizek-WMF added a subscriber: Beta16.

@Beta16: what is your browser, and which version?

@Etonkovidova, I still have that issue on Chromium last version on fr.wp.

@Trizek-WMF unfortunately I do not have Chromium around... Can you verify that dewiki has the same problem as it was reported in the ticket? Also, do you have any custom CSS?

Trizek-WMF added a comment.EditedJan 23 2018, 10:35 PM

@Trizek-WMF unfortunately I do not have Chromium around... Can you verify that dewiki has the same problem as it was reported in the ticket?

Same problem:

Also, do you have any custom CSS?

I've used safemode.

@Trizek-WMF yes, the issue with overlaying is present.

I thought that you have the issue with the Legend overflowing the fieldset:

German Wikipedia has a misaligned legend that overlays the other options.

Beta16 added a comment.EditedJan 24 2018, 8:30 AM

@Beta16: what is your browser, and which version?

Hi Trizek, I'm using Google Chrome version 63.0.3239.132 (64 bit).

As the description of this task says: with "Group results by page" active the result is this


instead, with "Group results by page" not active, the page shows the results correctly with "List of abbreviations" box near to the results list.

eranroz removed a subscriber: eranroz.Jan 24 2018, 8:31 AM

I can confirm the problem in Mac Chrome.

@jmatazzoni Two issue were reported on the ticket

(1) overlaying results with 'Grouped by page' option

T182156: RecentChanges legend overlaps actual RecentChanges was triaged and in RFP column of Collab-Team-This-Quarter
(2) misalagned/overflowing Legend

T182363: [wmf.11] enwiki: Slightly misplaced Legend on Recent Changes/ Watchlist without new filters was filed about the same >issue and it seemed that it was fixed in wmf.12. I checked the wikis (dewiki, frwiki) - seems to be fine:

I checked in Chrome and FF, full-screen, and also, as in the screenshot for German Wikipedia, I changed the UI language to English to >see if it may push the Legend to overflow - did not see the issue. Additionally, I checked the Watchlist - no issue there either.

The issue that you've confirmed it's #1 and seems to be a duplicate to T182156 (nobody argues that it exists).

I am more concerned about #2 which could be a possible regression, but I could not confirm it anywhere.

Change 408712 had a related patch set uploaded (by Petar.petkovic; owner: Petar.petkovic):
[mediawiki/core@master] Revert legend when results are grouped

https://gerrit.wikimedia.org/r/408712

Change 408712 merged by jenkins-bot:
[mediawiki/core@master] Revert legend when results are grouped

https://gerrit.wikimedia.org/r/408712